Bug 1007541 - Review Request: avl - Aerodynamic and flight-dynamic analysis of rigid aircrafts
Review Request: avl - Aerodynamic and flight-dynamic analysis of rigid aircrafts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 13:31 EDT by Sandro Mani
Modified: 2014-04-20 19:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: avl-3.32-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-28 21:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-09-12 13:31:56 EDT
Spec URL: http://smani.fedorapeople.org/avl.spec
SRPM URL: http://smani.fedorapeople.org/avl-3.32-1.fc21.src.rpm
Description: Aerodynamic and flight-dynamic analysis of rigid aircrafts
Fedora Account System Username: smani
Comment 1 Antonio Trande 2013-09-12 15:46:30 EDT
You need resolve two main points before to review this package.

First: your 'avl' conflicts with another RETIRED 'avl' package (http://pkgs.fedoraproject.org/cgit/avl.git/). In effect, this issue is also reported in fedora-review output. 
I don't know if you need to solicit a complete removal of retired package from pkg database or just commit this new 'avl'.

Second: source archive does not contain a License file.
See https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
Comment 2 Sandro Mani 2013-09-12 16:16:49 EDT
Spec URL: http://smani.fedorapeople.org/avl.spec
SRPM URL: http://smani.fedorapeople.org/avl-3.32-2.fc21.src.rpm

* Thu Sep 12 2013 Sandro Mani <manisandro@gmail.com> - 3.32-2
- Add license file


I'll need to look at what the procedure is to resolve the conflict.
Comment 3 Sandro Mani 2013-09-13 12:25:07 EDT
Spec URL: http://smani.fedorapeople.org/avl.spec
SRPM URL: http://smani.fedorapeople.org/avl-3.32-3.fc21.src.rpm

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 3.32-3
- Fix license

Btw, the discussion concerning the conflict in ongoing here [1].

[1] https://lists.fedoraproject.org/pipermail/devel/2013-September/189185.html
Comment 4 Sandro Mani 2013-09-16 11:07:59 EDT
I've discussed this on IRC today (see below), so the way forward seems to be clear.

[16:53] <smani> Hi, I asked on the mailing list what is the way to proceed when there is a package name conflict between a new package and a retired package (see https://lists.fedoraproject.org/pipermail/devel/2013-September/189185.html). One idea put forward (and the one I would prefer) is to rename the old package. Does anyone know what procedure to follow to carry out that change (if that change is legal according to the guidelines)?
[16:57] <rdieter> smani: I'd say review as normal, and just treat it like an unretirement
[16:57] <rdieter> *except* extra step to get pkg summary/description changed in pkgdb is desirable
[16:59] <smani> rdieter: so basically you would not rename the old package at all, just take over the repo?
[17:00] <rdieter> smani: I thought you said the old package is retired
[17:00] <rdieter> if so, no need to rename anything
[17:00] <rdieter> the history is still there
[17:00] <rdieter> for anyone interested...
[17:02] <rdieter> smani: make sense?
[17:02] <smani> ok, so basically once the package passes review, I file a package change request instead of a new package scm request?
[17:02] <rdieter> yeah
[17:03] <smani> can I just write "New description" in the change request?
[17:03] <rdieter> not sure of change request can handle that or not (or whether special handling would be required)
[17:04] <rdieter> I kinda assume the latter, but worth a try
[17:04] <smani> ok, I'll give it a try and see what happens :)
[17:04] <smani> thanks!
Comment 5 Antonio Trande 2013-09-16 11:44:54 EDT
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/avl
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

See comment #4.

- License files are included by packager.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 76 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1007541-avl/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: avl-3.32-3.fc21.x86_64.rpm
          avl-3.32-3.fc21.src.rpm
avl.x86_64: W: spelling-error Summary(en_US) aircrafts -> aircraft, aircraft's, air crafts
avl.x86_64: W: spelling-error %description -l en_US linearization -> militarization, internalization, familiarization
avl.x86_64: E: description-line-too-long C AVL is a program for the aerodynamic and flight-dynamic analysis of rigid aircraft
avl.x86_64: E: description-line-too-long C the lifting surfaces, together with a slender-body model for fuselages and nacelles.
avl.x86_64: W: no-manual-page-for-binary avl
avl.src: W: spelling-error Summary(en_US) aircrafts -> aircraft, aircraft's, air crafts
avl.src: W: spelling-error %description -l en_US linearization -> militarization, internalization, familiarization
avl.src: E: description-line-too-long C AVL is a program for the aerodynamic and flight-dynamic analysis of rigid aircraft
avl.src: E: description-line-too-long C the lifting surfaces, together with a slender-body model for fuselages and nacelles.
2 packages and 0 specfiles checked; 4 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint avl
avl.x86_64: W: spelling-error Summary(en_US) aircrafts -> aircraft, aircraft's, air crafts
avl.x86_64: W: spelling-error %description -l en_US linearization -> militarization, internalization, familiarization
avl.x86_64: E: description-line-too-long C AVL is a program for the aerodynamic and flight-dynamic analysis of rigid aircraft
avl.x86_64: E: description-line-too-long C the lifting surfaces, together with a slender-body model for fuselages and nacelles.
avl.x86_64: W: no-manual-page-for-binary avl
1 packages and 0 specfiles checked; 2 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
avl (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgcc_s.so.1(GCC_4.3.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    libm.so.6()(64bit)
    libquadmath.so.0()(64bit)
    libquadmath.so.0(QUADMATH_1.0)(64bit)
    rtld(GNU_HASH)
    xorg-x11-fonts-misc



Provides
--------
avl:
    avl
    avl(x86-64)



Source checksums
----------------
http://web.mit.edu/drela/Public/web/avl/avl3.32.tgz :
  CHECKSUM(SHA256) this package     : dcc0a6ae7ee2f5b3d6a46e730eecab1a1e2a4472a0cd3314bc7fd464f7e091f0
  CHECKSUM(SHA256) upstream package : dcc0a6ae7ee2f5b3d6a46e730eecab1a1e2a4472a0cd3314bc7fd464f7e091f0


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1007541
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 6 Sandro Mani 2013-09-16 11:50:45 EDT
Thanks!

According to the IRC discussion (see comment #5), I'm filing a package change request to take over the repo of the retired avl package.

Package Change Request
======================
Package Name: avl
Short Description: Aerodynamic and flight-dynamic analysis of rigid aircrafts
New Branches: f19 f20
Owners: smani
InitialCC:
Comment 7 Gwyn Ciesla 2013-09-16 12:26:00 EDT
Unretired, please take ownership in pkgdb.
Comment 8 Sandro Mani 2013-09-16 12:40:04 EDT
Resetting cvs flag.
Comment 9 Gwyn Ciesla 2013-09-16 12:41:36 EDT
Git done (by process-git-requests).
Comment 10 Till Maas 2013-09-17 18:15:17 EDT
What happens with the EPEL branches of the package?
Comment 11 Sandro Mani 2013-09-17 18:54:24 EDT
I don't intend to maintain in EPEL. But I guess it is not just possible to just delete them?
Comment 12 Fedora Update System 2013-09-18 05:16:27 EDT
avl-3.32-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/avl-3.32-3.fc19
Comment 13 Fedora Update System 2013-09-18 05:17:36 EDT
avl-3.32-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/avl-3.32-3.fc20
Comment 14 Fedora Update System 2013-09-18 13:44:22 EDT
avl-3.32-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 15 Fedora Update System 2013-09-20 05:57:01 EDT
avl-3.32-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/avl-3.32-4.fc20
Comment 16 Fedora Update System 2013-09-20 05:57:42 EDT
avl-3.32-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/avl-3.32-4.fc19
Comment 17 Fedora Update System 2013-09-28 21:30:44 EDT
avl-3.32-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-09-28 21:47:45 EDT
avl-3.32-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Sandro Mani 2014-04-20 17:40:34 EDT
Package Change Request
======================
Package Name: avl
New Branches: el6 epel7
Owners: smani
InitialCC:
Comment 20 Kevin Fenzi 2014-04-20 19:30:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.